<%@ Assembly Name="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" Inherits="Microsoft.SharePoint.WebPartPages.WikiEditPage" MasterPageFile="~masterurl/default.master" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<asp:Content ContentPlaceHolderID='PlaceHolderPageTitle' runat='server'>
    Service Proxy Test Page
</asp:Content>
<asp:Content ContentPlaceHolderID='PlaceHolderPageTitleInTitleArea' runat='server'>
</asp:Content>
<asp:Content ContentPlaceHolderID='PlaceHolderAdditionalPageHead' runat='server'>
    <WebPartPages:AllowFraming runat="server"></WebPartPages:AllowFraming>
<script type="text/javascript">
    window.Promise || 
        document.write('<script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.auto.js"><\/script>');
</script>
<script src="https://cdn.jsdelivr.net/npm/whatwg-fetch@2.0.4/fetch.js"></script>
<!--
    @copyright 2018 Joe McShea
    @license under the MIT license:
        http://www.opensource.org/licenses/mit-license.php
    -->
</asp:Content>
<asp:Content ContentPlaceHolderID='PlaceHolderMiniConsole' runat='server'>
</asp:Content>
<asp:Content ContentPlaceHolderID='PlaceHolderLeftActions' runat='server'>
</asp:Content>
<asp:content contentplaceholderid="PlaceHolderMain" runat="server">
    <h1>ServiceProxy Test Page</h1>
    <script type="text/javascript" src="/Style Library/spcors.js"></script>
    <input name="btnTest" id="btnTest" type="button" value="Test Local">
    <script type="text/javascript">
        (function() {
            // the server relative url of the web
            var base = (_spPageContextInfo.webServerRelativeUrl === "/" ? "" : _spPageContextInfo.webServerRelativeUrl);

            // a list of patterns to match against the origin
            var originPatterns = [
                new RegExp("^https://dev\.wingtip\.com$")
            ];

            // a list of patterns to match against the ajax url
            var urlPatterns = [
                new RegExp(
                    "^https://intranet\.wingtip\.com/_api/web/lists/getbytitle.'Pictures'.",
                    "i"),
                new RegExp(
                    "^https://intranet\.wingtip\.com/_api/web/getfilebyserverrelativeurl.'" + base + "/Pictures/",
                    "i")
            ];

            // Create a new instance of ServiceProxy. 
            var sp = new SPCORS.ServiceProxy("*", originPatterns, urlPatterns);
        })();
    </script>
</asp:content>